de.esprit.netsuite.server.config

## Enum ServerStartupConfigKey

- java.lang.Object
- - java.lang.Enum<ServerStartupConfigKey>
  - - de.esprit.netsuite.server.config.ServerStartupConfigKey

- All Implemented Interfaces:
    ServerConfigKey, java.io.Serializable, java.lang.Comparable<ServerStartupConfigKey>

      public enum ServerStartupConfigKey
      extends java.lang.Enum<ServerStartupConfigKey>
      implements ServerConfigKey

  This class defines all server configuration keys
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC_AGENT_TIMEOUT`
    `COSERVER_RECONNECT_DELAY`
    `EMAIL_ACCOUNT`
    `EMAIL_PASSWORD`
    `EMAIL_SENDER`
    `EMAIL_SERVER`
    `EMAIL_SUBJECT`
    `HAS_WEB_SERVICE`
    `IS_EMPTY_PASSWORD_ALLOWED`
    `IS_LOG_TO_CONSOLE`
    `IS_MANAGE_USERS_IN_DATABASE`
    `MESSAGE_QUEUE_LENGTH`
    `NET_IO_TYPE`
    `REQUEST_QUEUE_LENGTH`
    `RESOURCE_LOCK_TIMEOUT`
    `SERVER_NAME`
    `WEB_SERVICE_PORT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.config.ServerConfigKey

      `PREFIX_CPU, PREFIX_EMAIL_ACCOUNT, PREFIX_EMAIL_CONFIG, PREFIX_EMAIL_TARGET, PREFIX_ESPRIT, PREFIX_LOG, PREFIX_SERVER, PREFIX_WEBSERVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Returns the raw key without a prefix path like 'uniqueServerName'.
    `java.lang.String` | `getName()` Returns the full key name i.e.
    `java.lang.String` | `toString()`
    `static ServerStartupConfigKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerStartupConfigKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVER_NAME

          public static final ServerStartupConfigKey SERVER_NAME

    - #### IS_LOG_TO_CONSOLE

          public static final ServerStartupConfigKey IS_LOG_TO_CONSOLE

    - #### RESOURCE_LOCK_TIMEOUT

          public static final ServerStartupConfigKey RESOURCE_LOCK_TIMEOUT

    - #### ASYNC_AGENT_TIMEOUT

          public static final ServerStartupConfigKey ASYNC_AGENT_TIMEOUT

    - #### MESSAGE_QUEUE_LENGTH

          public static final ServerStartupConfigKey MESSAGE_QUEUE_LENGTH

    - #### REQUEST_QUEUE_LENGTH

          public static final ServerStartupConfigKey REQUEST_QUEUE_LENGTH

    - #### IS_MANAGE_USERS_IN_DATABASE

          public static final ServerStartupConfigKey IS_MANAGE_USERS_IN_DATABASE

    - #### IS_EMPTY_PASSWORD_ALLOWED

          public static final ServerStartupConfigKey IS_EMPTY_PASSWORD_ALLOWED

    - #### COSERVER_RECONNECT_DELAY

          public static final ServerStartupConfigKey COSERVER_RECONNECT_DELAY

    - #### NET_IO_TYPE

          public static final ServerStartupConfigKey NET_IO_TYPE

    - #### HAS_WEB_SERVICE

          public static final ServerStartupConfigKey HAS_WEB_SERVICE

    - #### WEB_SERVICE_PORT

          public static final ServerStartupConfigKey WEB_SERVICE_PORT

    - #### EMAIL_SERVER

          public static final ServerStartupConfigKey EMAIL_SERVER

    - #### EMAIL_SENDER

          public static final ServerStartupConfigKey EMAIL_SENDER

    - #### EMAIL_SUBJECT

          public static final ServerStartupConfigKey EMAIL_SUBJECT

    - #### EMAIL_ACCOUNT

          public static final ServerStartupConfigKey EMAIL_ACCOUNT

    - #### EMAIL_PASSWORD

          public static final ServerStartupConfigKey EMAIL_PASSWORD

  - ### Method Detail

    - #### values

          public static ServerStartupConfigKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerStartupConfigKey c : ServerStartupConfigKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerStartupConfigKey valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ServerConfigKey`
      Returns the full key name i.e. 'esprit.server.uniqueServerName'.
      Specified by:
        `getName` in interface `ServerConfigKey`

    - #### getKey

          public java.lang.String getKey()

      Description copied from interface: `ServerConfigKey`
      Returns the raw key without a prefix path like 'uniqueServerName'.
      Specified by:
        `getKey` in interface `ServerConfigKey`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ServerStartupConfigKey>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.